HotPot

Activities ::: mod_hotpot
Maintained by Gordon Bateson
HotPot module for Moodle 2.x
Latest release:
6269 sites
736 downloads
69 fans
Moodle 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9

Overview

The Hotpot activity module allows teachers to administer Hot Potatoes and TexToys quizzes via Moodle. These quizzes are created on the teacher's computer and then uploaded to the Moodle course. After students have attempted the quizzes, a number of reports are available which show how individual questions were answered and some statistical trends in the scores.

Dependencies

This module is required by the HotPot question import format for Moodle 2.x

Changes

To view details of recent changes made to this plugin, please click on the following link:

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

Gordon Bateson (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Wed, May 28, 2014, 2:49 PM
    The new version 2014.05.24 (15) seems to have a bug. If I restore a course I get some errors in the apache error log and the restore fails:

    PHP Notice: Undefined variable: DB in /srv/www/htdocs/moodle/mod/hotpot/backup/moodle2/restore_hotpot_stepslib.php on line 341

    PHP Fatal error: Call to a member function update_record() on a non-object in /srv/www/htdocs/moodle/mod/hotpot/backup/moodle2/restore_hotpot_stepslib.php on line 341

    I think there is a missing global $DB; in the function after_execute_foreignkeys

  • Thu, Jun 19, 2014, 3:49 AM
    Hello, I can't even manually download the module for manual installation. It sais "Not available" to all versions. Thanks for your great work and your continues
    contribution!
  • Thu, Jun 19, 2014, 6:38 AM
    Sven, the latest version, 2014.06.18 (23), seems to be visible on the Moodle.org plugins page at the moment. Can you see it on this page? https://moodle.org/plugins/pluginversions.php?plugin=mod_hotpot
  • Mon, Jul 28, 2014, 5:30 PM
    Please check download link of lastest version. I cannot download it. Thanks.
  • Wed, Jul 30, 2014, 5:51 PM
    I am happy to announce that HotPot just received the "Featured plugin" award. Please see https://moodle.org/mod/forum/discuss.php?d=264836 for more details. Well done Gordon!
  • Fri, Sep 19, 2014, 7:13 AM
    Hi, I have a one error.

    I use version 2.5 of moodle. I install the last version of hotpot...

    Lo sentimos, el plugin "mod_hotpot" es defectuoso o no actualizado: no se puede continuar.

    Más información sobre este error
    Debug info: Missing version value in version.php
    Error code: detectedbrokenplugin
    Stack trace:

    line 548 of /lib/upgradelib.php: plugin_defective_exception thrown
    line 360 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1544 of /lib/upgradelib.php: call to upgrade_plugins()
    line 349 of /admin/index.php: call to upgrade_noncore()

    Please, help me...
  • Fri, Sep 19, 2014, 9:31 AM
    I have just modified the version.php for the HotPot module.
    Please could you upgrade your HotPot module and try the install again.
  • Fri, Oct 10, 2014, 6:34 PM
    Hi Gordon, I'm writing here because at our school we're having a problem after a recent hotpot plugin update. When a students completes the hotpot activity the box for activity completion isn't flagged. The student gets a grade, we can see the full report... but still no tick, so the activity is actually marked as NOT complete and we cannot link it to another one or to the badge. Our moodle is 2.6.2. Any suggestions? We've been browsing forum for days, but with no success. Thank you for any help you might give us!
  • Sun, Nov 30, 2014, 10:34 PM
    Error-Message in moodle 2.7.3 during upgrading
    Migration stops after 6.25%

    The Messagetext is:
    "Migrating Hot Potatoes logs: (1/16)

    Notice: Trying to get property of non-object in /var/www/html/moodle/mod/hotpot/lib.php on line 2025

    Fatal error: Cannot call abstract method core\event\base::init() in /var/www/html/moodle/mod/hotpot/classes/event/attempt_started.php on line 46"
  • Mon, Dec 1, 2014, 8:00 AM
    Hi Rossana, the completion functionality in HotPot is fixed now so please update when you have a chance.

    Hi Andreas, thanks for reporting the update bug. It is fixed now, so please update and try again.

    regards
    Gordon
  • Tue, Dec 2, 2014, 7:08 PM
    Thanks, Gordon.
    The update works. smile
  • Fri, Dec 19, 2014, 11:58 AM
    Thanks Tõnis,
    I inevstigated the issue and made a few improvements to the event handler functionality of the HotPot module. I could then confirm that I was able to view the following reports in Moodle 2.8

    * Site admin -> Reports -> Logs
    * Site admin -> Reports -> Events list

    Please could you download the latest version onto you Moodle site, initiate the Moodle upgrade, and let me know if the issue is then fixed on your site.

    best regards,
    Gordon
  • Wed, Nov 7, 2018, 4:52 PM
    this plugin hot pot is also working for totara site ?
  • Ricardo Caiado
    Tue, Dec 24, 2019, 11:47 AM
    Hi,

    Just update Moodle to v3.8 and got this error message:

    "Use of subplugins.php has been deprecated. Please update your '/XXXX/mod/hotpot' plugin to provide a subplugins.json file instead."

    Ricardo
  • Fri, Jun 4, 2021, 5:53 PM
    Hi Gordon,

    Is this plugin still supported in newer Moodle versions?

    Thanks for your great work!
    Nicolas
1 2
Please login to post comments